searchNodes=[{"doc":"Making the IEx console friendlier one command at a time To use the helpers, run: iex&gt; use Toolshed Add this to your .iex.exs to load automatically. The following is a list of helpers: cat/1 - print out a file cmd/1 - run a system command and print the output date/0 - print out the current date and time dmesg/0 - print kernel messages (Nerves-only) exit/0 - exit out of an IEx session fw_validate/0 - marks the current image as valid (check Nerves system if supported) grep/2 - print out lines that match a regular expression hex/1 - print a number as hex history/0 - print out the IEx shell history httpget/2 - print or download the results of a HTTP GET request hostname/0 - print our hostname ifconfig/0 - print info on network interfaces inspect_bits/1 - pretty print numbers in hex, octal, and binary load_term!/1 - load a term that was saved by save_term!/2 log_attach/1 - send log messages to the current group leader log_detach/0 - stop sending log messages to the current group leader lsof/0 - print out open file handles by OS process lsmod/0 - print out what kernel modules have been loaded (Nerves-only) lsusb/0 - print info on USB devices multicast_addresses/0 - print out all multicast addresses nslookup/1 - query DNS to find an IP address ping/2 - ping a remote host qr_encode/1 - create a QR code (requires networking) reboot/0 - reboots gracefully (Nerves-only) reboot!/0 - reboots immediately (Nerves-only) save_value/3 - save a value to a file as Elixir terms (uses inspect) save_term!/2 - save a term as a binary top/2 - list out the top processes tcping/2 - check if a host can be reached (like ping, but uses TCP) tree/1 - pretty print a directory tree uptime/0 - print out the current Erlang VM uptime uname/0 - print information about the running system (Nerves-only) weather/0 - get the local weather (requires networking)","ref":"Toolshed.html","title":"Toolshed","type":"module"},{"doc":"Reads and prints out the contents of a file","ref":"Toolshed.html#cat/1","title":"Toolshed.cat/1","type":"function"},{"doc":"Run a command and return the exit code. This function is intended to be run interactively.","ref":"Toolshed.html#cmd/1","title":"Toolshed.cmd/1","type":"function"},{"doc":"Return the date and time in UTC","ref":"Toolshed.html#date/0","title":"Toolshed.date/0","type":"function"},{"doc":"Print out kernel log messages","ref":"Toolshed.html#dmesg/0","title":"Toolshed.dmesg/0","type":"function"},{"doc":"Exit the current IEx session","ref":"Toolshed.html#exit/0","title":"Toolshed.exit/0","type":"function"},{"doc":"Validate a firmware image All official Nerves Systems automatically validate newly installed firmware. For some systems, it's possible to disable this so that new firmware gets one chance to boot. If it's not &quot;validated&quot; before a reboot, then the device reverts to the old firmware.","ref":"Toolshed.html#fw_validate/0","title":"Toolshed.fw_validate/0","type":"function"},{"doc":"Run a regular expression on a file and print the matching lines. iex&gt; grep ~r/video/ , &quot;/etc/mime.types&quot; If colored is enabled for the shell, the matches will be highlighted red.","ref":"Toolshed.html#grep/2","title":"Toolshed.grep/2","type":"function"},{"doc":"Inspect a value with all integers printed out in hex. This is useful for one-off hex conversions. If you're doing a lot of work that requires hexadecimal output, you should consider running: IEx.configure(inspect: [base: :hex]) The drawback of doing the above is that strings print out as hex binaries.","ref":"Toolshed.html#hex/1","title":"Toolshed.hex/1","type":"function"},{"doc":"Print out the IEx shell history The default is to print the history from the current group leader, but any group leader can be passed in if desired.","ref":"Toolshed.html#history/1","title":"Toolshed.history/1","type":"function"},{"doc":"Return the hostname Examples iex&gt; hostname &quot;nerves-1234&quot;","ref":"Toolshed.html#hostname/0","title":"Toolshed.hostname/0","type":"function"},{"doc":"Perform a HTTP GET request for the specified URL By default, the results are printed or you can optionally choose to download it to a specific location on the file system. Options: :dest - File path to write the response to. Defaults to printing to the terminal. :verbose - Display request and response headers. Disabled by default. :timeout - Download timeout. Defaults to 30_000 ms","ref":"Toolshed.html#httpget/2","title":"Toolshed.httpget/2","type":"function"},{"doc":"Print out the network interfaces and their addresses.","ref":"Toolshed.html#ifconfig/0","title":"Toolshed.ifconfig/0","type":"function"},{"doc":"Pretty prints a number in hex, octal and binary Example: iex&gt; Toolshed . inspect_bits ( 123 ) Decimal : 123 Hexadecimal : 0000_007 B Octal : 173 Binary : 01111011","ref":"Toolshed.html#inspect_bits/1","title":"Toolshed.inspect_bits/1","type":"function"},{"doc":"Load an Erlang term from the filesystem. Examples iex&gt; save_term! ( { :some_interesting_atom , [ &quot;some&quot; , &quot;list&quot; ] } , &quot;/root/some_atom.term&quot; ) { :some_interesting_atom , [ &quot;some&quot; , &quot;list&quot; ] } iex&gt; load_term! ( &quot;/root/some_atom.term&quot; ) { :some_interesting_atom , [ &quot;some&quot; , &quot;list&quot; ] }","ref":"Toolshed.html#load_term!/1","title":"Toolshed.load_term!/1","type":"function"},{"doc":"Attach the current session to the Elixir logger This forwards incoming log messages to the terminal. Call detach/0 to stop the messages. Behind the scenes, this uses Elixir's built-in console logger and can be configured similarly. See the Logger console backend documentation for details. The following are useful options: :level - the minimum log level to report. E.g., specify level: :warning to only see warnings and errors. :metadata - a list of metadata keys to show or :all Unspecified options use either the console backend's default or those found in the application environment for the :console Logger backend.","ref":"Toolshed.html#log_attach/1","title":"Toolshed.log_attach/1","type":"function"},{"doc":"Detach the current session from the Elixir logger","ref":"Toolshed.html#log_detach/0","title":"Toolshed.log_detach/0","type":"function"},{"doc":"Print out the loaded kernel modules Aside from printing out whether the kernel has been tainted, the Linux utility of the same name just dump the contents of &quot;/proc/modules&quot; like this one. Some kernel modules may be built-in to the kernel image. To see those, run cat &quot;/lib/modules/x.y.z/modules.builtin&quot; where x.y.z is the kernel's version number.","ref":"Toolshed.html#lsmod/0","title":"Toolshed.lsmod/0","type":"function"},{"doc":"List out open files by process This is an simple version of lsof that works on Linux and Nerves. While running the normal version of lsof provides more information, this can be convenient when lsof isn't easily available or can't be run due to :emfile errors from starting port processes due to too many files being open..","ref":"Toolshed.html#lsof/0","title":"Toolshed.lsof/0","type":"function"},{"doc":"Print out information on all of the connected USB devices.","ref":"Toolshed.html#lsusb/0","title":"Toolshed.lsusb/0","type":"function"},{"doc":"List all active multicast addresses This lists out multicast addresses by network interface similar to ip maddr show . It currently only works on Linux.","ref":"Toolshed.html#multicast_addresses/0","title":"Toolshed.multicast_addresses/0","type":"function"},{"doc":"Lookup the specified hostname in the DNS and print out the addresses. Examples iex&gt; nslookup &quot;google.com&quot; Name : google . com Address : 172.217 . 7.238 Address : 2607 :f8b0 : 4004 : 804 :: 200 e","ref":"Toolshed.html#nslookup/1","title":"Toolshed.nslookup/1","type":"function"},{"doc":"Ping an IP address using ICMP. NOTE: Specifying an :ifname only sets the source IP address for the connection. This is only a hint to use the specified interface and not a guarantee. For example, if you have two interfaces on the same LAN, the OS routing tables may send traffic out one interface in preference to the one that you want. On Linux, you can enable policy-based routing and add source routes to guarantee that packets go out the desired interface. Options: :count - number of pings to send (defaults to 3) :identifier - the identifier to use in the ICMP packets (default is to generate one) :ifname - network interface to use (e.g., &quot;eth0&quot;) :timeout - time in seconds to wait for a host to respond (defaults to 10 seconds) Examples iex&gt; ping &quot;nerves-project.org&quot; Response from nerves - project . org ( 185.199 . 108.153 ) : icmp_seq = 0 time = 14.908 ms Response from nerves - project . org ( 185.199 . 108.153 ) : icmp_seq = 1 time = 9.057 ms Response from nerves - project . org ( 185.199 . 108.153 ) : icmp_seq = 2 time = 21.099 ms iex&gt; ping &quot;google.com&quot; , ifname : &quot;wlp5s0&quot; Response from google . com ( 172.217 . 7.206 ) : icmp_seq = 0 time = 88.602 ms","ref":"Toolshed.html#ping/2","title":"Toolshed.ping/2","type":"function"},{"doc":"Helper for gracefully powering off Not all Nerves devices support powering themselves off. These devices reboot instead.","ref":"Toolshed.html#poweroff/0","title":"Toolshed.poweroff/0","type":"function"},{"doc":"Generate an ASCII art QR code See https://github.com/chubin/qrenco.de for more information.","ref":"Toolshed.html#qr_encode/1","title":"Toolshed.qr_encode/1","type":"function"},{"doc":"Shortcut to reboot a board. This is a graceful reboot, so it takes some time before the real reboot.","ref":"Toolshed.html#reboot/0","title":"Toolshed.reboot/0","type":"function"},{"doc":"Reboot immediately without a graceful shutdown. This is for the impatient.","ref":"Toolshed.html#reboot!/0","title":"Toolshed.reboot!/0","type":"function"},{"doc":"Save an Erlang term to the filesystem for easy loading later This function returns the value passed in to allow easy piping. Examples iex&gt; :sys . get_state ( MyServer ) |&gt; save_term! ( &quot;/root/my_server.term&quot; ) # Reboot board iex&gt; :sys . replace_state ( &amp; load_term! ( &quot;/root/my_server.term&quot; ) )","ref":"Toolshed.html#save_term!/2","title":"Toolshed.save_term!/2","type":"function"},{"doc":"Save a value to a file as Elixir terms Examples # Save the contents of SystemRegistry to a file iex&gt; SystemRegistry . match ( :_ ) |&gt; save_value ( &quot;/root/sr.txt&quot; ) :ok","ref":"Toolshed.html#save_value/3","title":"Toolshed.save_value/3","type":"function"},{"doc":"Ping an IP address using TCP This tries to connect to the remote host using TCP instead of sending an ICMP echo request like normal ping. This sometimes works better than ping if the remote server or any machine in between drops ICMP messages. Options: :count - number of pings to send (defaults to 3) :ifname - Specify a network interface to use. (e.g., &quot;eth0&quot;) :port - Which TCP port to try (defaults to 80) Examples iex&gt; tcping &quot;nerves-project.org&quot; Response from nerves - project . org ( 185.199 . 108.153 : 80 ) : time = 4.155 ms Response from nerves - project . org ( 185.199 . 108.153 : 80 ) : time = 10.385 ms Response from nerves - project . org ( 185.199 . 108.153 : 80 ) : time = 12.458 ms iex&gt; tcping &quot;google.com&quot; , ifname : &quot;wlp5s0&quot; Response from google . com ( 172.217 . 7.206 : 80 ) : time = 88.602 ms","ref":"Toolshed.html#tcping/2","title":"Toolshed.tcping/2","type":"function"},{"doc":"Interactively show the top Elixir processes This is intended to be called from the IEx prompt and will periodically update the console with the top processes. Press enter to exit. Options: :order - the sort order for the results ( :reductions , :delta_reductions , :mailbox , :delta_mailbox , :total_heap_size , :delta_total_heap_size , :heap_size , :delta_heap_size , :stack_size , :delta_stack_size )","ref":"Toolshed.html#top/1","title":"Toolshed.top/1","type":"function"},{"doc":"Print out directories and files in tree form.","ref":"Toolshed.html#tree/1","title":"Toolshed.tree/1","type":"function"},{"doc":"Print out information about the running software This is similar to the Linux uname to help people remember what to type.","ref":"Toolshed.html#uname/0","title":"Toolshed.uname/0","type":"function"},{"doc":"Print out the current uptime.","ref":"Toolshed.html#uptime/0","title":"Toolshed.uptime/0","type":"function"},{"doc":"Display the local weather See http://wttr.in/:help for more information.","ref":"Toolshed.html#weather/0","title":"Toolshed.weather/0","type":"function"},{"doc":"Toolshed improves the Elixir shell experience by adding a number of IEx helpers. This helps when a normal Unix shell prompt isn't easily accessible like on Nerves . It doesn't require Nerves, though, and all Nerves-specific commands aren't even compiled if you're not using it. Here's a sample list of helpers: cmd - run a command and print out the output ping and tcping - check if a remote host is using ICMP or TCP ifconfig - list network interfaces weather - get the current weather from wttr.in top - get a list of the top processes and their OTP applications based on CPU and memory tree - list directory contents as a tree lsusb - list USB devices To get a complete list: iex&gt; h Toolshed To try it out, add this project to your deps: def deps do [ { :toolshed , &quot;~&gt; 0.2&quot; } ] end Rebuild and run in whatever way you prefer. At the IEx prompt, run: iex&gt; use Toolshed Toolshed imported . Run h ( Toolshed ) for more info . :ok iex&gt; cmd ( &quot;echo hello world&quot; ) hello world 0 iex&gt; ping &quot;nerves-project.org&quot; Press enter to stop Response from nerves - project . org ( 185.199 . 108.153 ) : time = 4.155 ms Response from nerves - project . org ( 185.199 . 108.153 ) : time = 10.385 ms Response from nerves - project . org ( 185.199 . 108.153 ) : time = 12.458 ms iex&gt; top OTP Application Name or PID Reds / Δ Mbox / Δ Total / Δ Heap / Δ Stack / Δ nerves_runtime Nerves.Runtime.Kernel.UE 72 M / 10 M 157 / - 32 384 K / - 4642 192 K / 73 K 86 / 52 system_registry SystemRegistry.Global 41 M / 6134 K 0 / 0 694 K / 192 K 192 K / 0 35 / - 11 system_registry SystemRegistry.Processor 61 M / 6075 K 0 / 0 73 K / - 1215 73 K / 0 10 / 0 system_registry SystemRegistry.Registrat 1623 K / 293 K 1 / 1 211 K / 109 K 73 K / 0 10 / 0 system_registry SystemRegistry.Processor 790 K / 197 K 59 / 3 1011 K / 4461 502 K / 0 38 / 0 undefined # PID &lt; 0 . 1793 . 0 &gt; 221 K / 68 K 0 / 0 21 K / 0 6772 / 0 504 / 0 system_registry SystemRegistry.Processor 382 K / 58 K 0 / 0 16 K / - 1227 4185 / - 1354 22 / 0 ssh # PID &lt; 0 . 1786 . 0 &gt; 133 K / 52 K 0 / 0 4184 / 1599 2586 / 1599 10 / 0 nerves_init_gadg # PID &lt; 0 . 1432 . 0 &gt; 213 K / 39 K 0 / 0 192 K / 101 K 73 K / 0 10 / 0 When you get tired of typing use Toolshed , add it to your .iex.exs .","ref":"readme.html","title":"Toolshed","type":"extras"},{"doc":"I have some IEx helpers. Would you consider adding them? Based on using and maintaining Toolshed the past several years, here's what ends up working best: Wrappers for OTP functions that make them easier to remember or format their output nicer for interactive use Simple implementations of shell commands that have strong muscle memory for Linux users Shortcuts to Linux system features (e.g., things that read /sys or /proc ) This project is not a Busybox replacement project or an effort to replicate all of the functionality in shell commands. Erlang/OTP contains an awful lot of built-in functionality. It's not identical to that provided by shell commands, but if there's an easy way to get at it in an IEx helper, that's what we'd like to do. A lot of these look like Unix commands? Why not run a proper shell? Yeah, I miss many Unix commands when I'm at the IEx prompt. Switching to a shell is easy on my laptop, but on Nerves devices, it's a pain. Getting a shell prompt on Nerves is possible, but it's limited due to Nerves not containing a full set of commands and it having to be run through Erlang's job control. Why is everything compiled to toolshed.beam ? When using Toolshed, the helpers are all imported into the IEx shell context for ease of use. It looks like they're all defined in the Toolshed module. In fact, if you don't import Toolshed (or use Toolshed ), you can still access the helpers by calling Toolshed.helper() . The problem defining all of the helpers in one module is that it makes toolshed.ex very hard to maintain. We've experimented with many ways of maintaining the helpers, like using defdelegate and importing all of the helpers into toolshed.ex . There were several problems with these ways including function docs not being in the expected place, code being duplicated, and manual steps. The most annoying issue was that keeping helpers in lots of .beam files had an impact on load time on Nerves devices. The load-time issue is being addressed in OTP 26 more generally. The end result is that we finally settled on merging all of the helpers at compile-time. The downside to this is that line numbers are wrong in stack traces. Given the history of this issue, this seemed like a good compromise. You can do so much more with some of these helpers Definitely. There's so much that I'd like to explore, but time gets in the way. I'm not sold on many decisions that I made, but something was better than nothing. Please help me improve this or make your own IEx helpers library. I'm quite happy to use it too or pull it in as a dependency. I want to use one of the functions in my program. Is the API stable? This isn't a normal hex.pm library. Use it for the helpers. If you want some code, copy and paste it or incorporate it into a library. I'd like the flexibility to change the API to improve interactive use. It would be better if you changed the colors This also isn't a question, and you've now made me regret naming the project toolshed . Please file your grievances here .","ref":"readme.html#faq","title":"Toolshed - FAQ","type":"extras"},{"doc":"","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"This is a major update in how the Toolshed source code gets compiled. If you are calling any Toolshed functions in your programs, you may need to update the calls. All enabled functions get compiled to be in the Toolshed module now. Backwards-incompatible updates Removed file path completion. This was improved and added to Elixir 1.13.0 in December, 2021. Moved all helper functions to Toolshed . They are no longer accessible in other modules. This should go unnoticed if you're using Toolshed at the IEx prompt. Improvements ping - Changed ping command to use Erlang's relatively new support for sending ICMP echo requests. Previously ping made TCP connection requests. The old way is now available via the tcping helper. Thanks to @amclain for the ICMP update. ping - ping and tcping repeat 3 times by default instead of repeating forever. The new :count option can be used to repeat more. inspect_bits - Added inspect_bits helper to easily print a number in multiple bases. It also handles negative numbers and gives hex and binary representations that are more familiar to those coming from languages with fixed size integers. (Nerves-only) poweroff -Added helper to gracefully power off Nerves devices that support it. httpget - Increased the timeout for downloads and added :timeout option to change it at runtime. Nerves helpers are completely compiled out when not using Nerves. This can be extended to remove or selectively enable helpers in the future. Thanks to @mnishiguchi for making Toolshed significantly easier to maintain by improving the code organization and adding tests.","ref":"changelog.html#v0-3-0","title":"Changelog - v0.3.0","type":"extras"},{"doc":"Improvements Update weather to give a helpful error if the :ssl application isn't included in the release.","ref":"changelog.html#v0-2-26","title":"Changelog - v0.2.26","type":"extras"},{"doc":"Improvements Remove path completion when using Elixir 1.13. Path completion was improved and merged into Elixir, so you no longer need Toolshed to use it. The function call to use it is now a no-op on Elixir 1.13. On previous Elixir versions, it will add path completion so there's no need to change any code.","ref":"changelog.html#v0-2-25","title":"Changelog - v0.2.25","type":"extras"},{"doc":"Improvements Add :port option to ping . Ping also prints out the port number so it's more obvious that 1. TCP &quot;pings&quot; are being used and 2. which port was used.","ref":"changelog.html#v0-2-24","title":"Changelog - v0.2.24","type":"extras"},{"doc":"New features Added the history command. See what you typed. Bug fixes fw_validate calls Nerves.Runtime.validate_firmware rather than validating firmware itself.","ref":"changelog.html#v0-2-23","title":"Changelog - v0.2.23","type":"extras"},{"doc":"Bug fixes top: fix flashing that was happening when top was automatically updating","ref":"changelog.html#v0-2-22","title":"Changelog - v0.2.22","type":"extras"},{"doc":"New features The ping command now supports IPv6 addresses. Thanks to Alex McLain for this improvement. The top command automatically refreshes now.","ref":"changelog.html#v0-2-21","title":"Changelog - v0.2.21","type":"extras"},{"doc":"New features Add log_attach and log_detach convenience functions for directing log messages to the current IEx session. These provide a simple way for seeing log messages when you either aren't on the same console as the console logger or you don't want to enable the console logger since it messes up the prompt.","ref":"changelog.html#v0-2-20","title":"Changelog - v0.2.20","type":"extras"},{"doc":"Bug fixes cmd/1 won't crash if the command being run returns non-UTF8 data cat/1 no longer adds an extra newline at the end of its input Removed commands Removed the rarely used pastebin command","ref":"changelog.html#v0-2-19","title":"Changelog - v0.2.19","type":"extras"},{"doc":"New features Add httpget command for performing HTTP GET requests and printing the response to stdout or saving it to the filesystem. Thanks to Jon Thacker for this feature.","ref":"changelog.html#v0-2-18","title":"Changelog - v0.2.18","type":"extras"},{"doc":"Bug fixes Don't trigger autocompletion when in a string interpolation.","ref":"changelog.html#v0-2-17","title":"Changelog - v0.2.17","type":"extras"},{"doc":"Bug fixes Fix path completion issues when wildcard characters are in the string to be completed.","ref":"changelog.html#v0-2-16","title":"Changelog - v0.2.16","type":"extras"},{"doc":"New features Add path autocompletion. Try it out by running use Toolshed at the IEx prompt. Then type File.read(&quot;/e&lt;tab&gt;&quot;) for files in /etc or ls &quot;li&lt;tab&gt;&quot; if you have a lib directory under your current directory.","ref":"changelog.html#v0-2-15","title":"Changelog - v0.2.15","type":"extras"},{"doc":"Bug fixes Fix warnings when building with Elixir 1.11.","ref":"changelog.html#v0-2-14","title":"Changelog - v0.2.14","type":"extras"},{"doc":"Bug fixes Improve error message when :inets isn't available so that it says how to add it to your mix.exs .","ref":"changelog.html#v0-2-13","title":"Changelog - v0.2.13","type":"extras"},{"doc":"Bug fixes If help has been stripped, then don't tell the user that it's available. New features Add multicast_addresses command for listing multicast addresses being listened to on each network interface. This is helpful if you're debugging lost multicast subscriptions or just seeing what applications are listening on.","ref":"changelog.html#v0-2-12","title":"Changelog - v0.2.12","type":"extras"},{"doc":"New features Add date command for quickly checking the current date and time in UTC","ref":"changelog.html#v0-2-11","title":"Changelog - v0.2.11","type":"extras"},{"doc":"New features Validate firmware using nerves_runtime v0.10.0's Nerves.Runtime.KV.put/2 function if available","ref":"changelog.html#v0-2-10","title":"Changelog - v0.2.10","type":"extras"},{"doc":"New features Add simple HTTP request shortcuts: weather , qr_encode , and pastebin","ref":"changelog.html#v0-2-9","title":"Changelog - v0.2.9","type":"extras"},{"doc":"New features Add ping to ping a remote IP address repeatedly and add some support for setting the interface to use.","ref":"changelog.html#v0-2-8","title":"Changelog - v0.2.8","type":"extras"},{"doc":"New features Add lsmod for returning loaded kernel modules on Nerves","ref":"changelog.html#v0-2-7","title":"Changelog - v0.2.7","type":"extras"},{"doc":"New features Add uname for getting running firmware information on Nerves","ref":"changelog.html#v0-2-6","title":"Changelog - v0.2.6","type":"extras"},{"doc":"New features Add lsof","ref":"changelog.html#v0-2-5","title":"Changelog - v0.2.5","type":"extras"},{"doc":"Bug fixes Fix warning due to missing Nerves.Runtime","ref":"changelog.html#v0-2-4","title":"Changelog - v0.2.4","type":"extras"},{"doc":"Bug fixes Fix cmd/1 to capture and print stderr as well. This fixes an issue where stderr prints would go somewhere else and you couldn't see them. This affected IEx sessions running over ssh.","ref":"changelog.html#v0-2-3","title":"Changelog - v0.2.3","type":"extras"},{"doc":"Bug fixes Fix ifconfig crash on sit interfaces Improve printout of unnamed pids with top New features Add uptime helper","ref":"changelog.html#v0-2-2","title":"Changelog - v0.2.2","type":"extras"},{"doc":"New features Add exit for exiting an IEx session","ref":"changelog.html#v0-2-1","title":"Changelog - v0.2.1","type":"extras"},{"doc":"New features top displays deltas by default Bug fixes Fixed inclusion of Nerves utilities on Nerves","ref":"changelog.html#v0-2-0","title":"Changelog - v0.2.0","type":"extras"},{"doc":"Initial release","ref":"changelog.html#v0-1-0","title":"Changelog - v0.1.0","type":"extras"}]